import React, { Component } from "react";
import ContentWrapper from "@/components/Layout/ContentWrapper";
import { Row, Col } from "reactstrap";
import { getPelaporan } from "@/actions/pelaporan";
import CaseProgress from "@/components/Main/CaseProgress";
import TableLaporan from "@/components/Pemeriksaan/TableLaporan";
import { connect } from "react-redux";
import Loader from "@/components/Common/Loader";

class Pemeriksaan extends Component {
	constructor(props) {
		super(props);
		this.state = {
			pelaporan: {},
		};
	}

	componentDidMount = async () => {
		const { token } = this.props;
		const pelaporan = await getPelaporan(token, { jadwal: true });
		this.setState({ pelaporan });
	};

	render() {
		const { pelaporan } = this.state;
		return (
			<ContentWrapper>
				<div className="content-heading">Evaluasi</div>
				<Row>
					<Col lg="4">
						<CaseProgress />
					</Col>
					<Col lg="8">{pelaporan?.data ? <TableLaporan status noBy listData={pelaporan.data} to="/app/pemeriksaan/new" linkName="Evaluasi" /> : <Loader />}</Col>
				</Row>
			</ContentWrapper>
		);
	}
}

const mapStateToProps = (state) => ({ user: state.user, token: state.token });
export default connect(mapStateToProps)(Pemeriksaan);
